#include "stdafx.h"
#include "GeomFileReader.h"

#include <LibQtGeoViewerCore/SceneMain.h>



bool GeomFileReader::Load(SceneMain& scene, const std::string& filename)
{
	GeomObject* geom = LoadGeom(scene, filename);
	if (geom == NULL)
		return false;

	scene.m_Objects.push_back(geom);

	scene.RefreshObjectIndex();
	scene.UpdateTransform();
	scene.ReportDoneEditGeometry();

	return true;
}
